<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2025 (x64) (https://www.altova.com) by CGI IT CZECH REPUBLIC S.R.O. (CGI IT CZECH REPUBLIC S.R.O.) -->
<!-- edited with XMLSpy v2007 sp2 (http://www.altova.com) by Tomas Silar (LogicaCMG s.r.o.) -->
<!-- edited with XMLSPY v2004 rel. 4 U (http://www.xmlspy.com) by Jakub Jicha (LogicaCMG s.r.o.) -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ote-cr.cz/schema/oze/request" xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" targetNamespace="http://www.ote-cr.cz/schema/oze/request" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:element name="RESREQ">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:ResSenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ResReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace příjemce zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message receiver identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Document" minOccurs="0">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Informace o požadovaném dokumentu.
Pokud není tento tag přítomen, očekává se jednorázová odpověď. Pokud je přítomen, atribut periodic určuje, jestli se nastavuje nebo ruší periodické zasílání dat.</xsd:documentation>
						<xsd:documentation xml:lang="EN">Information about requested documentation.
If the tag is not present, single-shot answer is expected. If it's present, attribute periodic determine the periodic or non-periodic data sending.</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:attribute name="periodic" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Indikace periodického/neperiodického zasílání dat</xsd:documentation>
								<xsd:documentation xml:lang="EN">Indication of periodic/non-periodic data sending.</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="1">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Periodický požadavek na data</xsd:documentation>
											<xsd:documentation xml:lang="EN">Periodic data request</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="0">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Zrušení periodického požadavku na data</xsd:documentation>
											<xsd:documentation xml:lang="EN">Cancellation of periodic data request</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="X">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Jednorázový požadavek na data</xsd:documentation>
											<xsd:documentation xml:lang="EN">Single-shot data request</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
				<xsd:element name="Location" maxOccurs="unbounded">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Lokality a časové intervaly</xsd:documentation>
						<xsd:documentation xml:lang="EN">PDT and interval identification</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:attribute name="application-form-id" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">ID Žádosti o podporu</xsd:documentation>
								<xsd:documentation xml:lang="EN">Data version within the imbalance settlement</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="10"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="status">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Status žádosti o podporu</xsd:documentation>
								<xsd:documentation xml:lang="EN">Claim status</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="PROPOSED">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Návrh</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="DSO">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Ke schválení PDS</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="CANCELED">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Zrušeno</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="ACCEPTED">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Schváleno</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="REJECTED">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Zamítnuto</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="VERIFIED">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Ověřeno</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="TERMINATED">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Ukončeno</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="SUBMITTED"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="source-id" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">ID Výrobního zdroje</xsd:documentation>
								<xsd:documentation xml:lang="EN">Data request specification parameter - grid</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="20"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="generation-plant-id" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">ID výrobny (provozovny)</xsd:documentation>
								<xsd:documentation xml:lang="EN">Data request specification parameter - metering type</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="20"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="ean" type="ote:pod_id" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">ID OPM</xsd:documentation>
								<xsd:documentation xml:lang="EN">EAN18 - Locality (PDT) identification </xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="date-from" type="xsd:date" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Datum od</xsd:documentation>
								<xsd:documentation xml:lang="EN">Start of period, which are the data requested for.</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="date-to" type="xsd:date" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Datum do</xsd:documentation>
								<xsd:documentation xml:lang="EN">End of period, which are the data requested for.</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="claim-method">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Metoda výběru reklamací</xsd:documentation>
								<xsd:documentation xml:lang="EN">Claim method (privat, public, for processing)</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="4"/>
									<xsd:enumeration value="PRI">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Vlastní reklamace</xsd:documentation>
											<xsd:documentation xml:lang="EN">Private claims</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="PUB">
										<xsd:annotation>
											<xsd:documentation/>
											<xsd:documentation xml:lang="CS">Veřejné reklamace</xsd:documentation>
											<xsd:documentation xml:lang="EN">Public claims</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="PROC">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Ke zpracování</xsd:documentation>
											<xsd:documentation xml:lang="EN">For processing</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="claim-id">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Id reklamace</xsd:documentation>
								<xsd:documentation xml:lang="EN">Claim id</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:minLength value="1"/>
									<xsd:maxLength value="20"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="claim-status">
							<xsd:annotation>
								<xsd:documentation>Status kontaktu</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="NEW">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Nová reklamace (nepřijata řešitelem)</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="PROC">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">V řešení (přijata řešitelem)</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="AUTA">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Nutný zásah zadavatele</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="CLOSED">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Uzavřena</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="CONF">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Potvrzena</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="REJ">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Odmítnuta</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="OBS">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Zastaralá (po vypršení termínu)</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="charging-station-id" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Jednoznačný interní identifikátor dobíjecí stanice</xsd:documentation>
								<xsd:documentation xml:lang="EN">Category of measurement
</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:minLength value="1"/>
									<xsd:maxLength value="10"/>
									<xsd:enumeration value="C1"/>
									<xsd:enumeration value="C2"/>
									<xsd:enumeration value="C3"/>
									<xsd:enumeration value="C4"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="kres-registration-id" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">ID registrace dobíjecí stanice</xsd:documentation>
								<xsd:documentation xml:lang="EN">Category of measurement
</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:minLength value="1"/>
									<xsd:maxLength value="10"/>
									<xsd:enumeration value="C1"/>
									<xsd:enumeration value="C2"/>
									<xsd:enumeration value="C3"/>
									<xsd:enumeration value="C4"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="kres-status" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Status registrace dobíjecí stanice</xsd:documentation>
								<xsd:documentation xml:lang="EN">Category of measurement
</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="C1"/>
									<xsd:enumeration value="C2"/>
									<xsd:enumeration value="C3"/>
									<xsd:enumeration value="C4"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jednoznačný identifikátor zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Unique message identification</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Upřesnění obsahu zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message content specification</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="PC4">
							<xsd:annotation>
								<xsd:documentation>Dotaz na data reklamace</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PD4">
							<xsd:annotation>
								<xsd:documentation>Dotaz na měsíční výkaz o výrobě z OZE</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PDG">
							<xsd:annotation>
								<xsd:documentation>Dotaz na informace o vyplacení podpory povinně vykupujícím</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PDJ">
							<xsd:annotation>
								<xsd:documentation>Dotaz na data PDS/PPS</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PDM">
							<xsd:annotation>
								<xsd:documentation>Dotaz na souhrnné množství dodávky do sítě</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PDP">
							<xsd:annotation>
								<xsd:documentation>Dotaz na data svorkové výroby vnořeného výrobce</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PF4">
							<xsd:annotation>
								<xsd:documentation>Dotaz na data výkazu paliv</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PI1">
							<xsd:annotation>
								<xsd:documentation>Dotaz na výsledky zúčtování podpory</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PRJ">
							<xsd:annotation>
								<xsd:documentation>Dotaz na registrovaný nárok na podporu</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="TD4">
							<xsd:annotation>
								<xsd:documentation>Dotaz na měsíční výkaz o výrobě z tepelného zdroje</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PO4">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Dotaz na oznámení individuálního opatření k zajištění přiměřenosti podpory</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PPG">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Dotaz na registrovaný nárok na podporu biometanu</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PG4">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Dotaz na měsíční výkaz o výrobě biometanu</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="TDA">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Dotaz na roční výkaz k transformaci výroby tepla</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PKG">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Dotaz na registraci dobíjecí stanice</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PV4">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Dotaz na měsíční výkaz dobíjecí stanice</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PT4">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Dotaz na měsíční výkaz palivového zařízení</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-version" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-release" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="language" type="ote:language" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jazyk zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message language</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>